<style>
/* Hide the ToC by default */
#TableOfContents ul {
  list-style: none;
}

#TableOfContents ul li ul {
  display: none;
}

#TableOfContents ul li ul li::before{
  list-style: none;
  content: "\f105"
}


#TableOfContents li::before {
  content: "\f107"; 
  font-family: FontAwesome; 
  margin-right: 8px;
}

#TableOfContents li.open::before {
  content: "\f106"; 
}

</style>
<script>
    document.addEventListener("DOMContentLoaded", function() {
        const tocHeaders = document.querySelectorAll("#TableOfContents ul li");
        tocHeaders.forEach((header) => {
            header.addEventListener("click", () => {
                const childElements = header.childNodes;
                childElements.forEach((ul) => {
                    if (ul.nodeType === Node.ELEMENT_NODE && ul.nodeName === "UL") {
                        ul.style.display = ul.style.display === "none" || ul.style.display === "" ? "block" : "none";
                    }});

            });
        });
});
</script>
<div >
    <aside>

    {{ .Page.TableOfContents | replaceRE "<ul>[[:space:]]*<li>[[:space:]]*<ul>" "<ul>" | replaceRE "</ul>[[:space:]]*</li>[[:space:]]*</ul>" "</ul>" |  safeHTML }}

    </aside>

</div>
  